---@meta

---@class ABP_Interactable_AttachPoint_C : ABP_Interactable_Actor_C
---@field UberGraphFrame FPointerToUberGraphFrame
---@field AttachComp USceneComponent
---@field StaticMesh1 UStaticMeshComponent
---@field SpawnAttachedActor TSubclassOf<ABP_Interactable_Actor_C>
---@field AttachTypeName FName
---@field bIsLoaded boolean
---@field LoadedAttachedActor TSubclassOf<ABP_Interactable_Actor_C>
---@field AttachTypeNameText FText
local ABP_Interactable_AttachPoint_C = {}

---@param InstigatingPlayer ARGFirstPersonCharacter
---@param InstigatingPlayerHeldActor AActor
---@param Hit FHitResult
---@param LookAtPlayerInteractionTexts TMap<UInputAction, FText>
function ABP_Interactable_AttachPoint_C:GetLookAtPlayerInteractionTexts(InstigatingPlayer, InstigatingPlayerHeldActor, Hit, LookAtPlayerInteractionTexts) end
---@param Class TSubclassOf<ABP_Interactable_Actor_C>
function ABP_Interactable_AttachPoint_C:SpawnAttachment(Class) end
---@param SaveKey FString
function ABP_Interactable_AttachPoint_C:MakeSaveKey(SaveKey) end
---@param NewTransform FTransform
---@param Success boolean
function ABP_Interactable_AttachPoint_C:SetNewAttachTransform(NewTransform, Success) end
---@param Success boolean
---@param CustomAttachComponent USceneComponent
function ABP_Interactable_AttachPoint_C:GetCustomAttachComponent(Success, CustomAttachComponent) end
function ABP_Interactable_AttachPoint_C:ReceiveBeginPlay() end
---@param SaveGameObject URGSaveGame
function ABP_Interactable_AttachPoint_C:StaticSave(SaveGameObject) end
---@param SaveGameObject URGSaveGame
function ABP_Interactable_AttachPoint_C:StaticLoad(SaveGameObject) end
---@param EntryPoint int32
function ABP_Interactable_AttachPoint_C:ExecuteUbergraph_BP_Interactable_AttachPoint(EntryPoint) end


